﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Dicom.Network.Client;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;

namespace SendFileWebapi.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class WeatherForecastController : ControllerBase
    {
        private static readonly string[] Summaries = new[]
        {
            "Freezing", "Bracing", "Chilly", "Cool", "Mild", "Warm", "Balmy", "Hot", "Sweltering", "Scorching"
        };

        private readonly ILogger<WeatherForecastController> _logger;

        public WeatherForecastController(ILogger<WeatherForecastController> logger)
        {
            _logger = logger;
        }

        [HttpGet]
        public IEnumerable<WeatherForecast> Get()
        {
            var rng = new Random();
            return Enumerable.Range(1, 5).Select(index => new WeatherForecast
            {
                Date = DateTime.Now.AddDays(index),
                TemperatureC = rng.Next(-20, 55),
                Summary = Summaries[rng.Next(Summaries.Length)]
            })
            .ToArray();
        }

        //[HttpPost]
        //public async Task<IActionResult> Post([FromForm]Models.InputsDto inputsDto)
        //{

        //    var client = new DicomClient(inputsDto.ServerHost, inputsDto.Port, false, inputsDto.ServerAET, inputsDto.Aet);

        //    foreach (var formFile in inputsDto.FileNames)
        //    {
        //        FileStream fs=null;
        //        if (formFile.Length > 0)
        //            using (var stream = new FileStream(formFile.FileName, FileMode.Create,FileAccess.Write))
        //            {
        //                formFile.CopyTo(stream);
        //                fs = stream;
        //            }
        //        var request = new Dicom.Network.DicomCStoreRequest(fs.Name);
        //        await client.AddRequestAsync(request);
        //        await client.SendAsync();
        //    }
        //    return null;
        //}
    }
}
